# -*- python -*-



from _TutorialBase import *

class ivars(TutorialBase):

    title = 'Setting Special Instance Variables'

    css = '''
    BODY {background:lightgreen}
    H1 {color:blue}
    '''

    def write_content(self):

          self.writeln(expand_codes(

              DIV("""By setting various instance variables in your
                  servlet you can control the HTML that is generated.
                  In this servlet we have set the C{css} instance
                  variable to specify that the background color of the
                  BODY element should be lightgreen and H1 elements
                  should be blue.""",

                  P("""View the python source.  The C{css} instance
                    variable can be set to any object that can be
                    converted into a string or it can be a sequence
                    (list, tuple) of strings, in which case, the
                    strings will be joined."""))))
